<?php
/* -*- php -*- ****************************************************************
 *
 *  System        : 
 *  Module        : 
 *  Object Name   : $RCSfile$
 *  Revision      : $Revision$
 *  Date          : $Date$
 *  Author        : $Author$
 *  Created By    : Robert Heller
 *  Created       : Fri Oct 27 20:12:22 2017
 *  Last Modified : <171027.2018>
 *
 *  Description	
 *
 *  Notes
 *
 *  History
 *	
 ****************************************************************************
 *
 *    Copyright (C) 2017  Robert Heller D/B/A Deepwoods Software
 *			51 Locke Hill Road
 *			Wendell, MA 01379-9728
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 *
 ****************************************************************************/

?>
<?php get_header(); /* header.php */ ?>

<div class="wrap">
  <?php if ( CountryRobot_Theme::enableLeft() ) {
      get_template_part( 'sidebar', 'left' ); /* sidebar(-left).php */
  } ?>
  <div id="primary" class="content-area narrowcolumn <?php if ( !CountryRobot_Theme::enableLeft() ) { echo "narrowcolumn-noleft"; } ?>">
    <main id="main" class="site-main" role="main">
      <?php
      if (have_posts()) {
        $post = $posts[0]; // Hack. Set $post so that the_date() works.
        /* If this is a category archive */ if (is_category()) { ?>
        <h2 class="pagetitle"><?php echo category_description(); ?></h2>
        <?php /* If this is a daily archive */ } else if (is_day()) { ?>
        <h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>
        <?php /* If this is a monthly archive */ } else if (is_month()) { ?>
        <h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>
        <?php /* If this is a yearly archive */ } else if (is_year()) { ?>
        <h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>
        <?php /* If this is a search */ } else if (is_search()) { ?>
        <h2 class="pagetitle">Search Results</h2>
        <?php /* If this is an author archive */ } else if (is_author()) { ?>
        <h2 class="pagetitle">Author Archive</h2>
        <?php /* If this is a paged archive */ } else if (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
        <h2 class="pagetitle">Blog Archives</h2>
        <?php } 
        get_template_part( 'postnav', 'top' );
        global $countryrobot_postcount;
        $countryrobot_postcount = 0;
        while ( have_posts() ) {
          the_post();
          /* get_post_format() => 'aside', 'chat', 'gallery', 'link', 
            'image', 'quote', 'status', 'video',
            'audio', or false 
            (false implies 'standard') */
          $format = get_post_format();
          if ( false === $format ) $format = 'standard';
          get_template_part( 'content', $format ); /* content(-$format).php */
          $countryrobot_postcount++;
          get_template_part( 'googleadsense', 'interpost' ); /* googleadsense(-interpost).php */
        } //End While loop
        get_template_part( 'postnav', 'bottom' );
      } else {
      ?>
      <h2 class="center"><?php _e( 'Not Found', 'country-robot' ) ?></h2>
      <p class="center"><?php _e( 'Sorry, but you are looking for something that isn\'t here', 'country-robot' ) ?>.</p>
      <?php get_search_form(); /* searchform.php */?>
      <?php } ?>
    <?php get_template_part( 'bottomsidebar' ); /* bottomsidebar */?>
    </main><!-- #main -->
  </div><!-- #primary -->
  <?php get_sidebar(); ?>
</div><!-- .wrap --><br clear="all" />

<?php get_footer();

